#include "mbed.h"
#include "Motor.h"
#include "Servo.h"

Motor kate(p26, p29, p30);
Servo dylan1(p21);
Servo dylan2(p22);

int main()
{
    float servopos;
    float mspeed;
    float nspeed;
    mspeed= 0.2;
    nspeed= -0.2;
    while (1) {
        for (servopos = 0; servopos <= 1.0; servopos += 0.02) {
            dylan1 = servopos;
            dylan2 = 1.0 - servopos;
            mspeed = mspeed;
            kate.speed(mspeed);
            wait(0.1);
        }

        for (servopos = 1.0; servopos >= 0; servopos -= 0.02) {
            dylan1 = servopos;
            dylan2 = 1.0 - servopos;
            nspeed = nspeed;
            kate.speed(nspeed);
            wait(0.1);
        }
        mspeed = mspeed + 0.1;
        nspeed = nspeed - 0.1;
    }
}
